function verifyDiskSpace(dirPath, spaceRequired)
{
 var spaceAvailable;
 spaceAvailable = fileGetDiskSpaceAvailable(dirPath);
 spaceAvailable = parseInt(spaceAvailable / 1024);
 if(spaceAvailable < spaceRequired)
 {
 logComment("Insufficient disk space: " + dirPath);
 logComment("  required : " + spaceRequired + " K");
 logComment("  available: " + spaceAvailable + " K");
 return(false);
 }
 return(true);
}
var srDest = 262;
var err;
var fProgram;
var prettyName = "Italian (it-IT)";
var regName    = "locales/mozilla/it-IT";
var chromeName = "it-IT.jar";
err = initInstall(prettyName, regName, "5.0.0.0000000000");
logComment("initInstall: " + err);
fProgram = getFolder("Program");
logComment("fProgram: " + fProgram);
if (verifyDiskSpace(fProgram, srDest))
{
 err = addDirectory("",
 "5.0.0.0000000000",
 "bin",
 fProgram,
 "",
 true);
 logComment("addDirectory() returned: " + err);
 var cf = getFolder("Chrome");
 registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/it-IT/necko/");
 registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/it-IT/navigator/");
 registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/it-IT/messenger/");
 registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/it-IT/global/");
 registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/it-IT/editor/");
 registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/it-IT/communicator/");
 registerChrome(LOCALE | DELAYED_CHROME, getFolder(cf, chromeName), "locale/it-IT/chatzilla/");
 if (err == SUCCESS)
 {
 err = performInstall();
 logComment("performInstall() returned: " + err);
 alert("Riavviare Mozilla e selezionare dal menu 'View' alla voce " +
       "'Languages and Web Content', il linguaggio 'Italian (it-IT)'.\n" +
       "--------------------------------------------------------------------\n" +
       "Please restart Mozilla and select from the 'View' menu, at " +
       "the 'Languages and Web Content' menu item the 'Italian (it-IT)' language.");
 }
 else
 {
 cancelInstall(err);
 logComment("cancelInstall due to error: " + err);
 }
}
else
 cancelInstall(INSUFFICIENT_DISK_SPACE);
